ExtractDataDialog Class Reference

Set column values dialog. More...

`#include <ExtractDataDialog.h>`

Inheritance diagram for ExtractDataDialog:

## Public Member Functions

| ExtractDataDialog (ScriptingEnv *env, QWidget *parent=0, Qt::WFlags fl=0)
void | setCompleter (QCompleter *)
void | setTable (Table *w)
Public Member Functions inherited from scripted
| scripted (ScriptingEnv *env)
void | scriptingChangeEvent (ScriptingChangeEvent *)
ScriptingEnv * | scriptingEnv ()
| ~scripted ()

## Private Slots

void | apply ()
void | clearFormulas ()
void | insertCol ()
void | insertExplain (int index)
void | insertFunction ()
void | insertOp ()

## Private Member Functions

QSize | sizeHint () const

## Private Attributes

QComboBox * | boxColumn
QComboBox * | boxOperators
QPushButton * | btnAddCol
QPushButton * | btnAddFunction
QPushButton * | btnAddOp
QPushButton * | btnApply
QPushButton * | btnCancel
QPushButton * | buttonClearFormulas
ScriptEdit * | commands
QLineEdit * | destNameBox
QSpinBox * | end
QTextEdit * | explain
QComboBox * | functions
QSpinBox * | start
Table * | table

## Additional Inherited Members

Protected Attributes inherited from scripted
ScriptingEnv * | scriptEnv

## Detailed Description

Set column values dialog.

## Constructor & Destructor Documentation

ExtractDataDialog::ExtractDataDialog | ( | ScriptingEnv * | env,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References apply(), boxColumn, boxOperators, btnAddCol, btnAddFunction, btnAddOp, btnApply, btnCancel, buttonClearFormulas, clearFormulas(), commands, destNameBox, end, explain, functions, muParserScripting::functionsList(), insertCol(), insertExplain(), insertFunction(), insertOp(), scripted::scriptEnv, and start.

## Member Function Documentation

void ExtractDataDialog::apply | ( |  | ) |

private slot

References commands, destNameBox, end, Table::extractData(), start, and table.

Referenced by ExtractDataDialog().

void ExtractDataDialog::clearFormulas | ( |  | ) |

private slot

References Table::clearCommands(), commands, and table.

Referenced by ExtractDataDialog().

void ExtractDataDialog::insertCol | ( |  | ) |

private slot

References boxColumn, and commands.

Referenced by ExtractDataDialog().

void ExtractDataDialog::insertExplain | ( | int | index | ) |

private slot

References explain, muParserScripting::explainFunction(), and functions.

Referenced by ExtractDataDialog().

void ExtractDataDialog::insertFunction | ( |  | ) |

private slot

References commands, functions, and ScriptEdit::insertFunction().

Referenced by ExtractDataDialog().

void ExtractDataDialog::insertOp | ( |  | ) |

private slot

References boxOperators, and commands.

Referenced by ExtractDataDialog().

void ExtractDataDialog::setCompleter | ( | QCompleter * | completer | ) |

References commands, and ScriptEdit::setCompleter().

Referenced by ApplicationWindow::showExtractDataDialog().

void ExtractDataDialog::setTable | ( | Table * | w | ) |

References boxColumn, Table::colNames(), commands, end, Table::numCols(), Table::numRows(), ScriptEdit::setContext(), Table::setSelectedCol(), start, table, and Table::table().

Referenced by ApplicationWindow::showExtractDataDialog().

QSize ExtractDataDialog::sizeHint | ( |  | ) | const

private

## Member Data Documentation

QComboBox* ExtractDataDialog::boxColumn

private

Referenced by ExtractDataDialog(), insertCol(), and setTable().

QComboBox* ExtractDataDialog::boxOperators

private

Referenced by ExtractDataDialog(), and insertOp().

QPushButton* ExtractDataDialog::btnAddCol

private

Referenced by ExtractDataDialog().

QPushButton* ExtractDataDialog::btnAddFunction

private

Referenced by ExtractDataDialog().

QPushButton* ExtractDataDialog::btnAddOp

private

Referenced by ExtractDataDialog().

QPushButton* ExtractDataDialog::btnApply

private

Referenced by ExtractDataDialog().

QPushButton* ExtractDataDialog::btnCancel

private

Referenced by ExtractDataDialog().

QPushButton* ExtractDataDialog::buttonClearFormulas

private

Referenced by ExtractDataDialog().

ScriptEdit* ExtractDataDialog::commands

private

Referenced by apply(), clearFormulas(), ExtractDataDialog(), insertCol(), insertFunction(), insertOp(), setCompleter(), and setTable().

QLineEdit* ExtractDataDialog::destNameBox

private

Referenced by apply(), and ExtractDataDialog().

QSpinBox * ExtractDataDialog::end

private

Referenced by apply(), ExtractDataDialog(), and setTable().

QTextEdit* ExtractDataDialog::explain

private

Referenced by ExtractDataDialog(), and insertExplain().

QComboBox* ExtractDataDialog::functions

private

Referenced by ExtractDataDialog(), insertExplain(), and insertFunction().

QSpinBox* ExtractDataDialog::start

private

Referenced by apply(), ExtractDataDialog(), and setTable().

Table* ExtractDataDialog::table

private

Referenced by apply(), clearFormulas(), and setTable().

The documentation for this class was generated from the following files:

- qtiplot/src/table/ExtractDataDialog.h
- qtiplot/src/table/ExtractDataDialog.cpp